be.ehealth.businessconnector.therlink.session.impl

## Class TherlinkServiceImplementationFactory

- java.lang.Object
- - be.ehealth.technicalconnector.session.ImplementationClassFactory
  - - be.ehealth.businessconnector.therlink.session.impl.TherlinkServiceImplementationFactory

-     public class TherlinkServiceImplementationFactory
      extends ImplementationClassFactory

  Implementation of `ImplementationClassFactory` for `TherLinkService`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TherlinkServiceImplementationFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `createImplementationClass(Class<T> clazz, SessionValidator sessionValidator, EhealthReplyValidator replyValidator, String... additionalParameters)`

    - ### Methods inherited from class be.ehealth.technicalconnector.session.ImplementationClassFactory

      `createImplementationClass`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TherlinkServiceImplementationFactory

          public TherlinkServiceImplementationFactory()

  - ### Method Detail

    - #### createImplementationClass

          public <T> T createImplementationClass(Class<T> clazz,
                                                 SessionValidator sessionValidator,
                                                 EhealthReplyValidator replyValidator,
                                                 String... additionalParameters)
                                          throws TechnicalConnectorException,
                                                 ConnectorException

      Overrides:
        `createImplementationClass` in class `ImplementationClassFactory`
      Throws:
        `TechnicalConnectorException`
        `ConnectorException`

Connector Packaging TRUSSMAKER 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.